Tryton - Issues

 

Issue8308

Title Improve column size
Priority feature Status resolved
Superseder Nosy List ced, dave, reviewbot, roundup-bot
Type feature request Components sao, tryton, trytond
Assigned To ced Keywords review
Reviews 259411002,275331002,253381002
View: 259411002, 275331002, 253381002

Created on 2019-04-25.15:20:32 by ced, last changed by roundup-bot.

Messages
New changeset 08e13d279577 by Cédric Krier in branch 'default':
Improve column sizing
https://hg.tryton.org/tryton-env/rev/08e13d279577
New changeset b639c809bd13 by Cédric Krier in branch 'default':
Change expand attribute into a factor
https://hg.tryton.org/trytond/rev/b639c809bd13
New changeset 60cbd81ca788 by Cédric Krier in branch 'default':
Ensure integer expand is converted into boolean
https://hg.tryton.org/tryton/rev/60cbd81ca788
New changeset 2de13120296f by Cédric Krier in branch 'default':
Improve column sizing
https://hg.tryton.org/sao/rev/2de13120296f
review275331002 updated at https://codereview.tryton.org/275331002/#ps283681002
review253381002 updated at https://codereview.tryton.org/253381002/#ps271761002
review259411002 updated at https://codereview.tryton.org/259411002/#ps285511002
review275331002 updated at https://codereview.tryton.org/275331002/#ps275661002
review253381002 updated at https://codereview.tryton.org/253381002/#ps265621002
review259411002 updated at https://codereview.tryton.org/259411002/#ps271651002
review275331002 updated at https://codereview.tryton.org/275331002/#ps267361002
review275331002 updated at https://codereview.tryton.org/275331002/#ps261381002
review259411002 updated at https://codereview.tryton.org/259411002/#ps259421002
review253381002 updated at https://codereview.tryton.org/253381002/#ps281461002
review275331002 updated at https://codereview.tryton.org/275331002/#ps273331002
msg49201 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-04-25.15:40:38
Here are the review259411002, review275331002 and review253381002. I put  an extensive explanation of the design in review259411002.

It is important to test this behavior in various views (already tested the most common in standard module) especially those that are not in standard module.
msg49198 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-04-25.15:20:31
A frequent request for sao is to implement column resizing for the user.
But I do not think it is really the feature needed. On the desktop client, there is column resizing because we have no other option to have good column size.
On the contrary, the browser is able to optimize the size of the table columns. So the real feature is to have a better sizing.

For that we have identified two main issue with the current implementation:

- There is no minimal size for the table. The table takes only the available space horizontally. But if there are a lot columns or that available space is too small, the columns will be too small to be practical. For that I think we need to have a minimal size for the column (indeed the table because min-width on td is undefined). And we need to have horizontal scroll when this minimal width is not available. But as the scrollbar will be below and not necessary visible, we need to also display a scrollbar on top of the table.

- Some columns need more spaces than the others. It is common for example on a tree that the first column may be a long char and the others need less space. For now, they may receive evenly the available space. But I think we can use the "expand" attribute to define a ratio to share the space. The "expand" attribute will become an integer factor instead of just Boolean (it will still be interpreted as Boolean on desktop).
History
Date User Action Args
2019-07-13 00:21:24roundup-botsetmessages: + msg50650
2019-07-13 00:21:20roundup-botsetmessages: + msg50649
2019-07-13 00:21:18roundup-botsetmessages: + msg50648
2019-07-13 00:21:15roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg50647
2019-07-09 10:08:27reviewbotsetmessages: + msg50580
2019-07-09 10:08:07reviewbotsetmessages: + msg50579
2019-07-09 10:07:57reviewbotsetmessages: + msg50578
2019-06-27 22:26:45reviewbotsetmessages: + msg50442
2019-06-27 22:26:22reviewbotsetmessages: + msg50441
2019-06-27 22:26:14reviewbotsetmessages: + msg50440

Showing 10 items. Show all history (warning: this could be VERY long)